<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <title>Laravel</title>

        <link rel="stylesheet" href="{{ url('/css/bootstrap.min.css') }}">

        <script src="{{ url('/js/jquery-3.4.1.slim.min.js') }}"></script>
        <script src="{{ url('/js/popper.min.js') }}"></script>
        <script src="{{ url('/js/bootstrap.min.js') }}"></script>
    </head>
    <body>
    <body>
    <div class="alert alert-success" role="alert">
        <h3 class="alert-heading">Congratulations!</h3>
        <p>This is the printing page.</p>
    </div>

    <?php
        Debugbar::warning('Print Section');
        // Print sample code from https://github.com/mike42/escpos-php
        use Mike42\Escpos\PrintConnectors\NetworkPrintConnector;
        use Mike42\Escpos\Printer;
        use Mike42\Escpos\EscposImage;
        use Mike42\Escpos\PrintConnectors\FilePrintConnector;

        $connector = new NetworkPrintConnector("10.99.10.99", 9100);
        $printer = new Printer($connector);

        try {
            // ... Print stuff
            $printer -> text("Starting print job...\n");
            $printer -> text(date("h:i:sa")."\n");
            

            $printer -> setJustification(Printer::JUSTIFY_CENTER);

            // Image!
            //$tux = EscposImage::load(public_path("images/escpos-php.png"), false);
            $tux = EscposImage::load(public_path("images/escpos-php.png"));
            $printer -> bitImage($tux);

            $printer -> text("QR Test\n");

            // QR Test - remove at some point.
            $testStr = "This is a print test!";

            $printer -> qrCode($testStr, Printer::QR_ECLEVEL_L, 8, Printer::QR_MODEL_2);

            $printer -> cut();

        } finally {
            $printer -> close();
        }
    ?>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->

    </body>
</html>
